*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    background-color: white;
    width: 100%;
}
nav{
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    padding-bottom: 1.5rem;
    background-color: white;
    box-shadow: rgba(17, 17, 26, 0.1) 0px 0px 16px;
}
h1{
    
    
    margin-top: 1rem;
    margin-bottom: 1rem;
    
}
h1>a{
    font-size: 2.2rem;
    color: #333333;
}
.headerContainer{
    width: 100%;
    text-align: center;
}
ul{
    width: 100%;
    list-style: none;
    display: flex;
    margin-top: 1rem;
    margin-bottom: 1rem;
    justify-content: space-around;
    
}

a{
    text-decoration: none;
    color: black;
    font-size: 1.5rem;
}

.container{
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}
.btn-style{
    border: 1px solid rgb(52, 152, 219);
    color: white;
    background-color: #3498db;
    border-radius: 9999px;
    padding: 0.5rem 1.3rem;
}

.main-section{
    padding-top: 3rem;
    width: 100%;
    margin-bottom: 2rem;
}
.main-box{
    padding: 1.4rem 2rem;
    width: 90%;
    margin-top: 5rem;
    margin-bottom: 1.5rem;
    background-color: #333333;
    border: 0.2px solid rgba(0, 0, 0, 0.151);
    border-radius: 16px;
    box-shadow: 0 0.25rem 1rem rgba(0, 0, 0, 0.103);
    margin-left: auto;
    margin-right: auto;
}
.main-box2{
    padding: 1.4rem 2rem;
    width: 80%;
    margin-top: 14rem;
    margin-bottom: 1rem;
    background-color: white;
    border: 0.2px solid rgba(0, 0, 0, 0.151);
    border-radius: 16px;
    box-shadow: 0 0.25rem 1rem rgba(0, 0, 0, 0.103);
    margin-left: auto;
    margin-right: auto;
}

form{
    text-align: center;
    padding: 1rem;
    background-color: #333333;
    border-radius: 16px;
    
}
h2{
    
    text-align: center;
    color: black;
    
    font-size: 2rem;
    margin-bottom: 0.5rem;
    border-radius: 8px;
    
}
input{
    height: 3.5rem;
    width: 12rem;
    margin-bottom: 0.3rem;
}
select{
    height: 3.5rem;
    width: 12rem;
    margin-bottom: 0.3rem;
}
#menu{
    appearance: none;
    border-top-right-radius: 16px;
    border-top-left-radius: 16px;
    border: 0.5px solid #333333;
    font-size: 1.3rem;
    color: #333333;
    padding-left: 0.3rem;
    text-align-last:center;
    background-color: white;
    
    
}
#menu:focus{
    border: 3px solid #333333;
    
}
#lname{
    appearance: none;
    font-size: 1.3rem;
    border: 0.5px solid #333333;
    text-align: center;
}

#searchBtn{
    color: white;
    border: 0.5px solid white;
    border-bottom-left-radius: 16px;
    border-bottom-right-radius: 16px;
    font-size: 1.3rem;
    background-color: #3498db;
    cursor: pointer;
}
footer{
    
    padding-top: 1rem;
    padding-bottom: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    
    background-color: #333333;
    color: white;
    box-shadow: rgba(14, 30, 37, 0.12) 0px 2px 4px 0px, rgba(14, 30, 37, 0.32) 0px 2px 16px 0px;
}

.footerbox{
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}
.dbOutput{
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
    margin-left: auto;
    margin-right: auto;
    padding: 1.4rem 2rem;
    width: 90%;
    border-radius: 2px;
    background-color: white;
    
    overflow: scroll;
    cursor: pointer;
}
.dbOutput:hover{
  box-shadow: 0 0.25rem 1rem rgba(0, 0, 0, 0.103);
  border: 1px solid rgb(201, 198, 198);
}
p{
    font-size: 1.5rem;
    
}
dialog{
    
    margin-left: auto;
    margin-right: auto;
    top: 25%;
    width: 80%;
    padding-top: 1rem;
    padding-bottom: 1rem;
    /*height: 45%;*/
    border-color: transparent;
    background-color: white;
    
    border-radius: 16px;
}
.chooseUser{
    display: flex;
    flex-direction: column;
    
    background-color: #333333;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    border-radius: 16px;
    padding: 1.3rem;
    width: 80%;
}
button{
    border: none;
    text-decoration: none;
    font-size: 1.6rem;
    padding: 1.2rem;
    background-color: #3498db;
    color: white;
    margin: 0.5rem;
    border-radius: 16px;
}
#closeModal{
    display: inline;
    width: 1rem;
    height: 1rem;
    color: #3498db;
    border: 1px solid #333333;
    border-radius: 4px;
}
#closeModalLogin{
    display: inline;
    width: 1rem;
    height: 1rem;
    color: #3498db;
    border: 1px solid #333333;
    border-radius: 4px;
}
.modalContainer{
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;

}
input{
    text-align: center;
}
.email{
    border-top-right-radius: 16px;
    border-top-left-radius: 16px;
}
.submitBtn{
    appearance: none;
    background-color: #3498db;
    color: white;
    border-bottom-left-radius: 16px;
    border-bottom-right-radius: 16px;
    border: none;
}
.formContainer{
    display: none;
    padding: 0.5rem;
}


.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
  }
  
  
  .switch input {
    opacity: 0;
    width: 0;
    height: 0;
  }
  
  
  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  .slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  input:checked + .slider {
    background-color: #3498db;
  }
  
  input:focus + .slider {
    box-shadow: 0 0 1px #3498db;
  }
  
  input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
  }
  
  
  .slider.round {
    border-radius: 34px;
  }
  
  .slider.round:before {
    border-radius: 50%;
  }
  label{
    font-size: 1rem;
  }

  #dataProtectionInformation{
    
    text-align: center;
    padding: 0.3rem;
    background-color: #f4f4f4;
    border-radius: 16px;
  }
  h3{
    margin-top: 17rem;
    margin-bottom: 0.6rem;
    text-align: center;
    font-size: 2.5rem;
    
  }
  
  option{
    text-align: left;
    
  }
  #warning{
    color: red;
    font-size: 1rem;
  }
  .pagination{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 3rem;
    
  }
  .pagination>li{
    margin: 0.6rem 0.3rem;
    
  }
  .pagination>li>a{
    color: white;
    background-color: #3498db;
    padding: 0.5rem;
    border-radius: 4px;
  }
  .footerbox>p{
    margin: 0.5rem 0.3rem;
  }
  .styleInfoBtn{
    color: #333333;
  }
  .btn-style{
    color: #3498db;
    background-color: white;
    margin-top: 6rem;
  }
  .modalHeading{
    background-color: white;
    color: #333333;
  }
  #menu:focus{
    border: none;
  }
  #fav-box{
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
    
  }
  .branche-btn{
    display: block;
    width: 7rem;
    height: 7rem;
    background-color: white;
    border-radius: 5px;
    margin-top: 1rem;
    margin-bottom: 1rem;
    text-align: center;
    padding-top: 0.3rem;
  }
  label{
    font-size: 2rem;
    color: white;
  }
  #category-box{
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
  }
  #category-box>p{
    font-size: 1.7rem;
  }
  .material-symbols-outlined{
    color: #3498db;
  }
  .job-require{
    
    background-color: #9acaeb;
    color: #0f8bdf;
    border: 1px solid black;
    padding: 0.5rem 1rem;
    width: auto;
  }
  #fav-color{
    width: 100%;
    background-color: #d2e3ee;
    padding-top: 2.5rem;
    padding-bottom: 2.5rem;
  }
  .fav-heading{
    margin-top: 0;
  }
  .initiativ{
    width: 100%;
    text-align: center;
    padding: 2rem;
    background-color: #0f8bdf;
    
  }
  
  .red{
    width: 10rem;
    text-align: center;
    border-radius: 5px;
    background-color: rgb(219, 148, 148);
  }
  .blue{
    width: 15rem;
    text-align: center;
    border-radius: 5px;
    background-color: rgb(176, 176, 221);
  }
  .yellow{
    width: 12.5rem;
    text-align: center;
    border-radius: 5px;
    background-color: rgb(217, 217, 166);
  }
  .green{
    width: 6rem;
    text-align: center;
    border-radius: 5px;
    background-color: rgb(162, 222, 162);
  }
  #companyContainer{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
  }

  #logoStyle{
    width: 7rem;
    
  }
  h4{
    
    font-size: 2.5rem;
    margin-left: 1.5rem;
    
    
  }
  #locationImg{
    padding-top: 0.5rem;
    
    display: inline;
  }
  #location{
    display: inline;
   
  }
  #companyName{
    color: #0f8bdf;
    background-color: white;
    border: 0.5px solid #0f8bdf;
  }
  #companyLogoContainer{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    margin-top: 1.5rem;
    
  }
  .imageContainer{
    width: 21rem;
    height: 15rem;
    background-color: white;
    border: 1px solid rgb(146, 139, 139);
    border-radius: 3px;
    padding: 0.5rem;
    margin: 1rem;
    
  }
  
  .imageContainer > img{
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  

  @media screen and (min-width: 538px) {
    .main-box{
        
        width: 71%;
    }
    .dbOutput{
        width: 71%;
    }
    dialog{
        width: 75%;
        /*height: 40%;*/
    }
}
  
@media screen and (min-width: 555px) {
	#menu{
        border-radius: 0;
    }
    #searchBtn{
        border-radius: 0;
    }
    dialog{
        width: 60%;
        /*height: 40%;*/
    }
}
@media screen and (min-width: 778px) {
	#menu{
        border-bottom-left-radius: 16px;
        border-top-left-radius: 16px;
    }
    #searchBtn{
        border-top-right-radius: 16px;
        border-bottom-right-radius: 16px;
    }
    dialog{
        width: 50%;
        /*height: 35%;*/
    }
}
@media screen and (min-width: 1000px) {
	.container {
		flex-direction: row;
	}
  .main-box2{
    margin-top: 6rem;
  }
  h3{
    margin-top: 10rem;
    font-size: 3rem;
  }
  #category-box>p{
    font-size: 2.2rem;
  }
  
    .main-box{
        margin-top: 7rem;
        width: 85%;
        
    }
    .dbOutput{
        width: 85%;
    }
    dialog{
        width: 40%;
        /*height: 35%;*/
    }
    footer{
        flex-direction: row;
        justify-content: space-around;
    }
    .container{
        justify-content: space-around;
    }
    nav{
        padding-top: 1rem;
        padding-bottom: 1rem;
    }
    h1{
        margin: 0;
        padding-left: 1rem;
        font-size: 2rem;
    }
    .main-box{
        margin-top: 5.3rem;
    }
    .main-section{
        margin-bottom: 3rem;
    }
    .dbOutput{
        overflow: auto;
    }
    .btn-style{
        border: 1px solid #3498db;
        color: #3498db;
        background-color: white;
        border-radius: 9999px;
        padding: 0.5rem 1.3rem;
    }
    .btn-style:hover{
        background-color: #3498db;
        color: white;
    }
    
}

@media screen and (min-width: 1100px) {
    .main-box{
        
        width: 70%;
    }
    .dbOutput{
        width: 100%;
    }
    .applicationDocuments{
        width: 100%;
    }
    
    dialog{
        width: 35%;
        /*height: 35%;*/
    }
}
@media screen and (min-width: 1250px) {
    dialog{
        width: 25%;
        /*height: 35%;*/
    }
}

@media screen and (min-width: 1400px) {
    .main-box{
        
        width: 60%;
    }
    .dbOutput{
        width: 60%;
    }
    dialog{
        width: 20%;
    }
}
@media screen and (min-width: 2200px) {
    dialog{
        width: 15%;
    }
}

/* Styles for Dashboard Content Panels that are toggled by JS */
.showAllfavorite,
.applications,
.applicationDocuments {
    width: 100%;
    display: none; /* Initially hidden, shown via JS (e.g., navigation1.js) */
}